<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 Yun-young Lee
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: db.mysql.php,v 1.36 2004/04/10 16:05:00 lseeker Exp $
 */

function &quote_string(&$str)
{
    return get_magic_quotes_gpc() ? $str : addslashes($str);
}

// {{{ DBConnection Pooling
function &DBConnectionPool($connect = TRUE)
{
    static $dbconn;
    static $called = FALSE;

    if (!$connect) {
        if ($called) {
            $called = FALSE;
            mysql_close($dbconn);
        }
        return NULL;
    }

    if (!$called) {
        $conninfo =& $GLOBALS['_DBConnectionInfo'];

        $dbconn = mysql_connect(trim($conninfo[2]), trim($conninfo[3]), trim($conninfo[4]));
        if ($dbconn === FALSE) trigger_error('DB Connect Error', E_USER_ERROR);

        if (mysql_select_db(trim($conninfo[5]), $dbconn) === FALSE) trigger_error('DB Select Error', E_USER_ERROR);

        $called = TRUE;
    }

    return $dbconn;
}

function DBConnectionFinish()
{
    DBConnectionPool(FALSE);
}
// }}}

// {{{ Spiral-3 new DBResult class
class DBResult
{
    var $result;
    var $row_nums;
    var $row_now = 0;

    function DBResult(&$res)
    {
        $this->result =& $res;
        $this->row_nums = mysql_num_rows($res);
    }

    function _DBResult()
    {
        mysql_free_result($this->result);
    }

    function goNext()
    {
        return ++$this->row_now < $this->row_nums ? TRUE : FALSE;
    }

    function &numRows() {
        return $this->row_nums;
    }

    function &getValue($name) {
        return mysql_result($this->result, $this->row_now, $name);
    }
}
// }}}

// {{{ Spiral-3 new DBConnection class
class DBConnection {
    var $conn;

    function DBConnection()
    {
        $this->conn =& DBConnectionPool();
    }

    function &query($command)
    {
        $result = mysql_query($command, $this->conn);
        if ($result === FALSE) trigger_error('Query Error: ' . mysql_error($this->conn), E_USER_ERROR);

        $retval = new DBResult($result);
        return $retval->numRows() ? $retval : NULL;
    }

    function exec($command, $trigger = TRUE)
    {
        $result = mysql_query($command, $this->conn);

        if ($result === FALSE) {
            if ($trigger) trigger_error('Query Error: ' . mysql_error($this->conn), E_USER_ERROR);
            return FALSE;
        }
        return TRUE;
    }

    function begin($force = FALSE)
    {
        if ($force) mysql_query('LOCK TABLES hboard_db_article WRITE', $this->conn);
    }

    function commit($force = FALSE)
    {
        if ($force) mysql_query('UNLOCK TABLES', $this->conn);
    }

    function &getArticleCount()
    {
        return mysql_result(mysql_query('SELECT count(*) FROM hboard_db_article', $this->conn), 0, 0);
    }

    function &getLastArticleNum()
    {
        return mysql_insert_id($this->conn);
    }

    function &getVersion()
    {
        return 'MySQL ' . mysql_result(mysql_query('SELECT version()'), 0, 0);
    }
}
// }}}

?>
