<?php
/* vim600: noet ts=8 sw=8 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 EtchiBoard Project
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: db.mysql.sql,v 1.15 2004/11/21 22:00:39 lseeker Exp $
 */

$db_admin_t = <<<DB_ADMIN
CREATE TABLE hboard_db_admin (
	passwd		varchar(40)	NOT NULL,
	skin		varchar(100)	NOT NULL,
	app		integer		NOT NULL DEFAULT 5,
	fileup_max	integer		NOT NULL DEFAULT 0,
	html_tag	ENUM('f', 't')	NOT NULL DEFAULT 'f',
	include_top	varchar(255),
	include_bottom	varchar(255),
	title_text	TEXT,
	bgimage		varchar(255),
	width_max	integer		NOT NULL DEFAULT 0,
	lang		varchar(50)	NOT NULL DEFAULT 'ko',
	article_max	integer		NOT NULL DEFAULT 0,
	titlebar	varchar(255),
	autolink	ENUM('f', 't')	NOT NULL DEFAULT 't',
	backdrum	ENUM('f', 't')	NOT NULL DEFAULT 't'
)
DB_ADMIN;

$db_article_t = <<<DB_ARTICLE
CREATE TABLE hboard_db_article (
	idx	integer 	NOT NULL AUTO_INCREMENT,
	name	varchar(30)	NOT NULL,
	email	varchar(100),
	home	varchar(255),
	ipaddr	varchar(50)	NOT NULL,
	passwd	varchar(40)	NOT NULL,
	date	varchar(50)	NOT NULL,
	cfile	varchar(50),
	subject	varchar(255),
	ment	text		NOT NULL,
	deleted	ENUM('f', 't')	NOT NULL DEFAULT 'f',
	reply	integer		NOT NULL DEFAULT 0,
	agent	varchar(255)	NOT NULL,
	md5	char(32),

	PRIMARY KEY (idx),
	INDEX (md5)
)
DB_ARTICLE;

$db_comment_t = <<<DB_COMMENT
CREATE TABLE hboard_db_comment (
	idx	integer		NOT NULL,
	article	integer		NOT NULL,
	name	varchar(30)	NOT NULL,
	email	varchar(100),
	home	varchar(255),
	icon	varchar(255),
	ipaddr	varchar(50)	NOT NULL,
	passwd	varchar(40)	NOT NULL,
	date	varchar(50)	NOT NULL,
	ment	text		NOT NULL,
	deleted	ENUM('f', 't')	NOT NULL DEFAULT 'f',
	agent	varchar(255)	NOT NULL,

	PRIMARY KEY (article, idx)
)
DB_COMMENT;

?>
