<?php
/*********************************************************************
  EtchiBoard Version 2.0
   list.php
   http://etchibbs.kldp.net/

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 *********************************************************************/

@require("lib/db.inc");			// database functions (connect, close, etc.)
@require("lib/security.inc");		// security functions (login, logout, etc.)
@require("lib/message.inc");		// message functions (alert, messagebox, etc.)

@include("lib/article.inc");		// article print functions
@include("lib/headfoot.inc");		// header/footer print functions

$admin['skin'] = "skymoe";		// default skin is "skymoe"

if(!$_GET['table']) {
	printMsg("̺  ʾҽϴ.\n<u>list.php?table=̺</u>  ϼž մϴ.");
	die;
}
else {
	$table = strtolower($_GET['table']);
}

$connect = connectDb();			// connect to database
checkAlive();				// is dbms working now?

$cookie = getCookieData(1);
$admin = getAdminData($table);		// this will overwrite current value of $admin['skin']

// if table configuration is not available, then print 'no such table' message and die(optional)
if(!$admin['table_name']) {
	$admin['skin'] = "skymoe";	// reset admin['skin'] to "skymoe". -_-
	printMsg("{$table} ̺  ʽϴ.");
	die;
}

// get current required url
if(!$_SERVER['REQUEST_URI']) {
	$page_this = $_SERVER['PHP_SELF'] .'?' .$_SERVER['QUERY_STRING'];
}
else {
	$page_this = $_SERVER['REQUEST_URI'];
}

$page_this = urlencode($page_this);

// get current page (1~)
if(!$_GET['page']) {
	$page = 1; // default is 1
}
else {
	$page = $_GET['page'];
}
 
$index = getIndex(1);

// calculate values for paging function.
$pagecount['startpage'] = sprintf("%d", $index / $admin['app'] + 0.99); // total $pagecount['startpage'] page
if($pagecount['startpage'] < 1) $pagecount['startpage'] = 1;	// if total is less than 1, value is 1

$pagecount['footart'] = $index - ($admin['app'] * $page); // top one of current page
$pagecount['headart'] = $pagecount['footart'] + $admin['app']; // last one of current page

// if value is not correct (less than 0 or more than total)
if($page < 0) {
	printMsg("   ʰ߽ϴ.");
	die;
}
else if($page > $pagecount[startpage]) {
	printMsg("   ʰ߽ϴ.");
	die;
}
else {
	// get paging function's returning value to $article_counter
	$article_counter = ArticleCounter($table, $page, $index, 0);

	// print header
	PrintHeader();

	// if $index, print article(s); else, print 'this forum is empty' message..
	if($index) {
		PrintArticle($pagecount['headart'], ($pagecount['footart'] + 1));
	}
	else {
		printInfo("<b>Խù ϴ.</b>\n Խù ۼ ޴  Խù ۼ ּ.");
	}

	// print footer
	PrintFooter();
}

// close database connection
closedb();

?>
