<?php
// * Etchiboard Version 3 :: 'Project EV3'
// * /list.php
// * http://etchibbs.kldp.net/
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

@require "classes/database.php";
@require "classes/message.php";
@require "classes/layout.php";

// note: you MUST init Database, Message, Layout before every exection.
$db = new Database;
$message = new Message;
$layout = new Layout("default", "main");

// get variables used by list printing (list.php)
$get['table'] = trim($_GET['table']);
$get['page'] = (int)($_GET['page']);
$get['category'] = (int)($_GET['category']);

if(empty($get['table'])) {
	$message->alert("invaild table value.", "history.back(1);");
	exit;
}
else if($get['page'] < 0) {
	$message->alert("invalild page value.", "history.back(1);");
	exit;
}

// connect to database
$db->connect();

// fetch: get article lists from database
// (1) get total number of articles
$fetch = $db->query("SELECT count(*) FROM hboard3_{$get['table']}_article");
$index = $db->fetchArray($fetch);
$index = $index[0];

// print header
echo $layout->header();
//   ־ Ѵ..  header() ϰ ._.
$message->$header_printed = true;

?>
