<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 EtchiBoard Project
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: admin.php,v 1.23 2004/05/11 13:22:24 lseeker Exp $
 */

require 'lib/common.php';

if ($Config->checkAdmin) {
    setcookie('hboard_admin_login', ''); // 관리자 쿠키 지우기

    $redirect_to = empty($_GET['from']) ? 'list.php' : $_GET['from'];
    include 'lib/redirect.php';
    exit;
}

if (isset($_POST['password'])) {
    if (crypt($_POST['password'], $Config->password) != $Config->password) trigger_error('비밀번호가 올바르지 않습니다!', E_USER_ERROR);

    setcookie('hboard_admin_login', md5($Config->password));

    $redirect_to = empty($_POST['from']) ? 'list.php' : $_POST['from'];
    include 'lib/redirect.php';
    exit;
}

include 'lib/confirmbox.php';

$Layout = new Layout;
$Layout->hideInclude();

$ConfirmBox = new ConfirmBox;
$ConfirmBox->registerAction('admin.php');
$ConfirmBox->registerMessage('관리자 비밀번호를 입력해주세요.');
$ConfirmBox->registerFrom(empty($_GET['from']) ? 'list.php' : $_GET['from']);

$Layout->printHeader();
$ConfirmBox->printOut();
$Layout->printFooter();

?>
