<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 EtchiBoard Project
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: comment.php,v 1.50 2004/05/11 13:22:24 lseeker Exp $
 */

require 'lib/common.php';
include 'lib/writeform.php';
include 'lib/article.basic.php';
include 'lib/article.print.php';

if(!isset($_GET['article'])) trigger_error('<b>게시물 정보가 없습니다.</b><br />comment.php?article=[번호] 식으로 입력하세요.', E_USER_WARNING);

$Layout = new Layout;

$Article = new ArticlePrint((int) $_GET['article']);
$Article->checkDeleted();
$Article->hideButtons();

$CommentForm = new WriteForm('comment');
$CommentForm->registerTitle("{$Article->no}번 게시물에 의견 남기기");
$CommentForm->registerHiddenInput("<input type=\"hidden\" name=\"article\" value=\"{$Article->no}\" /><input type=\"hidden\" name=\"page\" value=\"" . intval($_GET['page']) . '" />');
$CommentForm->readCookie();
$CommentForm->registerPreviewImage(strcmp($CommentForm->icon, '') && file_exists('db/ico/'. $CommentForm->icon) ? 'db/ico/' . rawurlencode($CommentForm->icon) : "skin/{$Config->skin}/none.jpg");

// 출력
$Layout->printHeader();
$CommentForm->show();
$Article->printOut();
$Layout->printFooter();

?>
