<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 EtchiBoard Project
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: delete_icon.php,v 1.11 2004/04/04 13:48:20 lseeker Exp $
 */

require 'lib/common.php';

/* {{{ 오류 처리 */
$Config->checkAdmin();

if (empty($_GET['file'])) trigger_error('삭제될 아이콘 파일명이 지정되지 않았습니다.', E_USER_ERROR);
if (!file_exists('db/ico/' . $_GET['file'])) trigger_error('지정한 파일이 존재하지 않습니다.', E_USER_ERROR);
/* }}} */

unlink('db/ico/' . $_GET['file']) or trigger_error('파일을 삭제하지 못했습니다.<br />해당 파일의 권한을 확인해 주세요.', E_USER_ERROR);

$redirect_to = 'iconman.php';
include 'lib/redirect.php';

?>
