<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 Yun-young Lee
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: downadd.php,v 1.13 2004/04/04 13:33:03 lseeker Exp $
 */

// 가벼운 -_- 크래킹 방지. (아주 가벼운 -_-;;;)
$file = get_magic_quotes_gpc() ? stripslashes($_GET['file']) : $_GET['file'];
$file = str_replace('..', '', $file);
$file = str_replace('/', '', $file);
$file = str_replace('\\', '', $file);

if(empty($file)) {
    require 'lib/common.php';
    trigger_error('필요한 인수를 전달받지 못했습니다.', E_USER_WARNING);
}

if (!file_exists('db/img/' . $file)) {
    require 'lib/common.php';
    trigger_error('파일이 존재하지 않습니다.<br>해당 파일이 삭제되었는지 확인해 주세요.', E_USER_WARNING);
}

$file_p    = fopen('db/img/' . $file, 'rb'); // b : 윈도우에서 바이너리 모드로 열음;;
$file_size = filesize('db/img/' . $file); // 크기 -_-
$file_md5  = md5_file('db/img/' . $file); // md5 -_-

// Content-MD5 is base64 encoded 128bit md5 hash; refer RFC 1864
$raw_md5 = '';
for ($i = 0; $i < 32; $i++) $raw_md5 .= chr(hexdec($file_md5[$i] . $file_md5[++$i]));

header('Content-Type: image/unknown');
header('Content-Length: ' . $file_size);
header("Content-Disposition: attatchment; filename=\"{$file}\"");
header('Content-MD5: ' . base64_encode($raw_md5));
header('Content-Transfer-Encoding: binary');

fpassthru($file_p);

?>
