<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 EtchiBoard Project
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: modify.php,v 1.40 2004/05/11 13:22:24 lseeker Exp $
 */

require 'lib/common.php';
include 'lib/writeform.php';
require 'lib/article.basic.php';
require 'lib/article.print.php';

if(empty($_GET['article_no'])) trigger_error('<b>수정할 게시물을 지정해주세요.</b><br />modify.php?article_no=[번호] 식으로 입력하세요.', E_USER_WARNING);

$Layout = new Layout;

$Article = new ArticlePrint((int) $_GET['article_no']);
$Article->checkDeleted();
$Article->hideButtons();

$ModifyForm = new WriteForm('modify');
$ModifyForm->registerTitle("{$Article->no}번 게시물 수정하기..");
$ModifyForm->registerHiddenInput("<input type=\"hidden\" name=\"article_no\" value=\"{$Article->no}\" /><input type=\"hidden\" name=\"page\" value=\"" . intval($_GET['page']) . '" />');
$ModifyForm->readArticle($Article);
if ($Config->checkAdmin) $ModifyForm->hidePasswordInput();

$Layout->printHeader();
$ModifyForm->show();
$Article->printOut();
$Layout->printFooter();

?>
