<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 EtchiBoard Project
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: upload_icon.php,v 1.16 2004/04/04 14:22:40 lseeker Exp $
*/

require 'lib/common.php';

$Config->checkAdmin();

if ($_FILES['iconfile']['tmp_name']) {
    // 파일명으로 부적절한 부분은 변경.. (1.0.5)
    $iconfile_name = $_FILES['iconfile']['name'];
    $iconfile_name = str_replace('\\', '_', $iconfile_name);
    $iconfile_name = str_replace('?', '_', $iconfile_name);
    $iconfile_name = str_replace('"', '_', $iconfile_name);
    $iconfile_name = str_replace('/', '_', $iconfile_name);
    $iconfile_name = str_replace(':', '_', $iconfile_name);
    $iconfile_name = str_replace('*', '_', $iconfile_name); // 이거랑 그 친구들.. 귀찮아서 그냥 넣음..-_-
    $iconfile_name = str_replace('<', '_', $iconfile_name);
    $iconfile_name = str_replace('>', '_', $iconfile_name);
    $iconfile_name = str_replace('|', '_', $iconfile_name);
    $iconfile_name = str_replace('#', '_', $iconfile_name); // ?
    $iconfile_name = str_replace('%', '_', $iconfile_name); // ??
}

// {{{ 오류 처리
if(!file_exists($_FILES['iconfile']['tmp_name'])) trigger_error('아이콘 파일을 전달받지 못하였습니다.', E_USER_ERROR);

if (file_exists('db/ico/' . $iconfile_name) || $iconfile_name == 'none.jpg') trigger_error('이미 같은 이름의 아이콘이 존재합니다.', E_USER_ERROR);
// }}}

// 아이콘 복사/권한변경/임시파일 삭제
umask(0111);
if (move_uploaded_file($_FILES['iconfile']['tmp_name'], 'db/ico/' . $iconfile_name) === FALSE) trigger_error("{$iconfile_name} 파일을 업로드하지 못했습니다.<br />db/ico 디렉토리의 권한을 확인해 주세요.", E_USER_ERROR);

header('HTTP/1.1 303 See Other');
$redirect_to = 'iconman.php';
include 'lib/redirect.php';
?>
