<?php
/* vim600: et ts=4 sts=4 sw=4 fdm=marker
 *
 * EtchiBBS UTF-8 - Gallery Web Board
 * Copyright (C) 2004 EtchiBoard Project
 * 
 * See LICENSE for license condition.
 *
 * http://etchibbs.kldp.net
 * $Id: view.php,v 1.8 2004/05/11 13:22:24 lseeker Exp $
 */

require 'lib/common.php';

if(!isset($_GET['no'])) trigger_error('<b>게시물 번호를 지정해주세요.</b><br />view.php?no=[번호] 식으로 입력해야합니다.', E_USER_WARNING);

require 'lib/article.basic.php';
require 'lib/article.print.php';

$Layout = new Layout;
$Article = new ArticlePrint((int) $_GET['no']);

$DBConn = new DBConnection;
$Article->setPageNum(($DBConn->getArticleCount() - $Article->no) / $Config->app + 1);

// 출력
$Layout->printHeader();
echo "<script type=\"text/javascript\">\n<!--\nfunction show_comment_form(n) {\nreturn true;\n}\n//-->\n</script>\n";
echo '<p class="center fontBold">[<a href="list.php">최신 목록으로 가기</a>]</p>';
// 글
$Article->printOut();
echo '<p class="center fontBold">[<a href="list.php">최신 목록으로 가기</a>]</p>';
$Layout->printFooter();

?>
